Foreman - Bug #15238

Multiple interfaces with empty identifier are marked as invalid
05/31/2016 07:59 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Network
Target version: 1.11.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1406362 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3560
Description

The NIC validation is not treating empty identifier correctly. While the validation method on host skips such interfaces, validation on
NIC side tries to enforce uniqueness even of empty identifiers. This causes problems during provisioning of host with multiple
interfaces, preventing the TFTP change because of interface being invalid. To reproduce, create a host with two interfaces with
empty identifier. Then try editing the host, e.g. changing the comment attribute. It fails on interface identifier being already taken.

Related issues:

Related to Foreman - Bug #12441: Duplicate entries in "nics" table

Closed 11/10/2015

Associated revisions

Revision 7e20cbac - 06/02/2016 04:02 AM - Marek Hulan
Fixes #15238 - ignore empty NIC identifiers

Revision dbf500fb - 06/03/2016 11:45 AM - Marek Hulan
Fixes #15238 - ignore empty NIC identifiers

(cherry picked from commit 7e20cbac5951b858716268cce29f0fad16b71081)

Revision f6¢83c4d - 06/16/2016 02:15 PM - Marek Hulan
Fixes #15238 - ignore empty NIC identifiers

(cherry picked from commit 7e20cbac5951b858716268cce29f0fad16b71081)

History

#1 - 05/31/2016 07:59 AM - Marek Hulan
- Related to Bug #12441: Duplicate entries in “nics" table added

#2 - 05/31/2016 08:05 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3560 added

#3 - 05/31/2016 08:07 AM - Marek Hulan

- translation missing: en.field_release set to 159

the bug was introduced in 1.11 so marking for next 1.11 release, feel free to reset

#4 - 06/02/2016 05:01 AM - Marek Hulan

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7e20cbac5951b858716268cce29f0fad16b71081.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7e20cbac5951b858716268cce29f0fad16b71081

#5 - 12/22/2016 02:44 AM - Marek Hulan
- Bugzilla link set to 1406362
